Compare deal metrics only
GET
/api/compare/deals/metrics
const url = 'https://example.com/api/compare/deals/metrics?deal_a_id=example&deal_b_id=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/compare/deals/metrics?deal_a_id=example&deal_b_id=example' \ --header 'Authorization: Bearer <token>'Lightweight metrics-only comparison for search result previews.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” deal_a_id
required
Deal A Id
string
deal_b_id
required
Deal B Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
MetricsOnlyResponseModel
Lightweight metrics-only comparison for search previews.
object
deal_a_id
required
Deal A Id
string
deal_b_id
required
Deal B Id
string
deal_a_name
required
Deal A Name
string
deal_b_name
required
Deal B Name
string
metrics
required
Metrics
Array<object>
MetricComparisonResponseOne row of the metrics comparison table.
compared_at
required
Compared At
string
Example generated
{ "deal_a_id": "example", "deal_b_id": "example", "deal_a_name": "example", "deal_b_name": "example", "metrics": [ { "metric_name": "example", "label": "example", "deal_a_value": 1, "deal_b_value": 1, "delta": 1, "delta_pct": 1, "unit": "example" } ], "compared_at": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}